---
title: "Polymer Summit 2017 Speaker Spotlight: Josh Trout, Gannett"
---

Josh is a principal developer on the web team at Gannett. We chatted with Josh about Polymer, the Web, and building apps for the future.

**Could you tell us a bit about your current project?**

We are doing a crazy, ground-up rewrite of both the frontend and backend code of our core framework.  The old site was actually two sites, one for desktop and one for mobile, both having the client and server code very tightly coupled. That made doing a gradual upgrade very challenging. We decided to start from scratch with a more modular microservice-based server side and a more modular client framework, and Polymer was a perfect fit for what we needed.

**What was rewarding about the process of building with Polymer?**

The most rewarding thing is seeing developers around the company adopting Web Components and getting into the new mindset around component development. There are a lot of new ways to solve old problems with web components and it lets people's creativity come out. As a company we've seen rewards from the component based development through being able to develop features faster and pivot to new strategies with less effort.

**What was challenging about the process of building with Polymer?**

The challenges have been in educating people about new ways of doing things and we've had some issues with performance on polyfilled platforms, which is less of an issue now that we have moved to Polymer 2 and mobile safari gets native custom elements.

Better native browser support is something we are looking forward to.  We're seeing the benefits of moving more stuff native with Polymer 2 and more standards would less us spend less effort on build time optimizations and workarounds and more time building useful features.

**What excites you most about Progressive Web Apps?**

As a consumer, I generally prefer mobile web over apps for most things, so getting more functionality and more attention paid to mobile websites is a great thing... Things like push alerts and offline support are a natural fit for news websites.

**How would you make the Web better?**

That's an awfully big question.

In terms of the web platform, I'd say continuing to improve on standards across browsers. Also having new features be backwards compatible or easily polyfilled so that they are not just cool tricks, but usable in production sites. For our site, we are working on making the user experience better, both fast performance and good feature set, and improving the developer experience for those building on our internal web framework.

**Two more questions: 1. What is your favourite food and 2. What are you looking forward to in your visit to Copenhagen?**

Also big questions.

I'm going with 1) Coffee 2) Renting a bike and riding around trying lots of local foods and beverages.

**OMG, coffee!**

I'll trade home roasted coffee for some technical writing. We've got a ton of documentation to do on our new site framework.

**Thanks so much for participating. Looking forward to hearing your presentation at the Summit!**

Thanks, we're all super excited about our talk and getting to see the Polymer team again.

-----

This year's summit takes place August 22–23 at [Lokomotivværkstedet](http://www.lvcph.dk/index-eng.html) in beautiful downtown [Copenhagen, Denmark](https://goo.gl/maps/pgFPsEkRRcS2).

Like previous years, we'll have talks and codelabs from the Polymer team, plus food, fun, and plenty of space for informal conversations.

For the first time this year, we'll be asking for talks from community members, so we can hear from you, too.

To be notified when registration opens, sign up with your email address at [g.co/polymersummit2017](http://g.co/polymersummit2017). As always, tickets are  free.

If you can't make it to Copenhagen, don't worry. The talks will be livestreamed and recorded for later, and the codelabs will be available online so you can try them out from anywhere.

Follow us on Twitter [@polymer](https://twitter.com/polymer) for regular updates.
