---
title: "Polymer Summit 2017 Speaker Spotlight: Maria Husmann, PhD Student"
---

Maria is a PHD student at ETH Zurich. Her research focuses on cross-device applications and human-computer interaction. Maria shares her thoughts on the benefits of the Web as an open platform, and the greater user experience offered by Progressive Web Apps.

**Could you tell us a bit about your favorite project you built with Polymer?**

What I really like is how fast you can be at building a web app if you have the right components. One example of that is the webcam app that I will show at the summit.

Another example would be my personal website (which is currently not online). For that one, I used the paper elements. They really helped. I’m not a designer, yet I managed to create a decent looking website.

My absolute favourite would be XD-Bike, though, which I will also present at the summit. It was built by three students that I supervised. They also use the paper elements and ended up with a really nice web app that helps mountain bikers plan their next trip.

**When and how did you first start using Polymer?**

I think that was around 2015 and with Polymer 0.5. I don’t remember exactly how I came across it, but I found it fascinating. Especially being able to write your own custom elements and seeing the new tags show up in the browser without being translated to standard HTML tags. It just made a lot of sense.

**Could you tell me what excites you most about Progressive Web Apps?**

As a developer, I think the web is a great, open platform. To be able to build fully fledged apps on this platform is exciting. It also avoids the problem of native apps having to implement the functionality multiple times, once for each platform. Not having to go through review processes of app stores is also a plus. Sharing a PWA is as easy as sharing a URL. As a user, I’m a bit reluctant to install a native app for every little thing. Instead I’d rather have a handful of important apps and use web apps for everything else.

**How would you make the Web better?**

It is really important to me that the web remains an open platform that is accessible to everyone, both as a consumer and a producer of content. For me as a researcher it is a great platform for experimentation. As a high-level goal I want to make it easier for other people to experiment and play with this platform and I try to achieve that by building libraries and tools.

A pet peeve of mine are mobile websites that show app install banners for their native apps. I really hope we can get rid of those soon.

**What is your favorite food?**

I wouldn’t say that I have a favourite food. The variety makes it interesting. But then again, I always enjoy a good Italian pizza and I really loved the tacos when I was in Silicon Valley last year. That is something which is harder to find in Switzerland.

**What are you looking forward to in your visit to Copenhagen?**

I’ve just been to Copenhagen a couple of weeks ago, so I haven’t planned much sightseeing this time around. What I’m really looking forward to is meeting the Polymer community. It’s exciting to meet so many people who share a passion for the web.

-----

This year's summit takes place August 22–23 at [Lokomotivværkstedet](http://www.lvcph.dk/index-eng.html) in beautiful downtown [Copenhagen, Denmark](https://goo.gl/maps/pgFPsEkRRcS2).

Like previous years, we'll have talks and codelabs from the Polymer team, plus food, fun, and plenty of space for informal conversations.

Tickets are free! [Register on the Polymer Summit 2017 website](https://summit.polymer-project.org/).

If you can't make it to Copenhagen, don't worry. The talks will be livestreamed and recorded for later, and the codelabs will be available online so you can try them out from anywhere.

Follow us on Twitter [@polymer](https://twitter.com/polymer) for regular updates.
