---
title: "Polymer Summit 2017 Speaker Spotlight: Kunal Kundaje, Netflix"
---

**Could you tell us a bit about your favorite project you built with Polymer?**

One of my earliest projects at Netflix a couple of years ago was to build a dashboard that aggregated monitoring data from a number of sources for our large fleet of Cassandra database clusters. I named it Cassper, and it's still one of my favorite apps that I've built using Polymer. The discrete, self-contained nature of each of the modules on the dashboard made it a great fit for a component-based development model like Polymer's. I especially enjoyed dropping in a few subtle CSS animations throughout the app, with the hope of adding a tiny bit of delight to the otherwise onerous experience of being on-call... :)

**When and how did you first start using Polymer?**

I had read about Web Components briefly a few years ago, and got another glimpse of the technology during the 2014 Chrome Dev Summit, but I hadn't actually used Web Components for anything at the time. When I joined Netflix in late 2015, one of my fellow engineers on a related team, John Tregoning, had just started using Polymer for one of the apps that he was building. I was curious to try it out too, so I decided to experiment with it and enjoyed the experience. Several of us have been building a number of apps with it since then! 

**Could you tell me what excites you most about Progressive Web Apps?**

Building really great Progressive Web Apps is not always super easy, but when they're made well, they can turn into compelling, immersive experiences while still retaining the ease, reach, and immediacy of the Web. I think this is especially appealing in emerging markets where cellular networks are still quite bad, and users have to spend a long time waiting for native mobile apps to download before even being able to use them. Lyft's PWA, for example, is a really well implemented one that I've used.

**How would you make the Web better?**

I think we can continue to make the Web better by making it even easier for everyone to participate and build on it, regardless of their training or background. A core strength of the Web has always been its openness, inclusivity, and comparatively lower barrier-to-entry. So while on one hand, we need to invest in newer primitives that make it possible to build complex apps on the Web, I think we should also be mindful of not losing the simplicity that made it possible for many people (myself included!) to get started without an intimidatingly high learning curve.

**What is your favorite food?**

Hmm...I like seafood, in general, but I'm not sure I'd be able to pick a single favorite cuisine! :) I love traveling, and trying out all kinds of local food from different places and cultures.

**What are you looking forward to in your visit to Copenhagen?**

The schedule for the Polymer Summit looks **packed** with some really interesting talks, and I'm looking forward to learning and exchanging ideas with folks from all over who are presenting at and attending the Summit. My wife and I are also excited to spend a couple of days before the Summit walking around and exploring a new city.

-----

This year's summit takes place August 22–23 at [Lokomotivværkstedet](http://www.lvcph.dk/index-eng.html) in beautiful downtown [Copenhagen, Denmark](https://goo.gl/maps/pgFPsEkRRcS2).

Like previous years, we'll have talks and codelabs from the Polymer team, plus food, fun, and plenty of space for informal conversations.

Tickets are free! [Register on the Polymer Summit 2017 website](https://summit.polymer-project.org/).

If you can't make it to Copenhagen, don't worry. The talks will be livestreamed and recorded for later, and the codelabs will be available online so you can try them out from anywhere.

Follow us on Twitter [@polymer](https://twitter.com/polymer) for regular updates.
